Package com.xebialabs.xlrelease.variable

# Interface VariableReplacementHelper

All Known Implementing Classes:
  `VariableHelper$`

public interface VariableReplacementHelper

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `freezeUnresolvedVariable(String input, String variableName)`
  `Map<String,String>`
  `getPasswordVariableValuesAsStrings(List<Variable> vars)`
  `Map<String,String>`
  `getVariableValuesAsStrings(List<Variable> vars)`
  `Map<String,String>`
  `getVariableValuesAsStrings(scala.collection.immutable.List<Variable> variables, boolean passwords)`
  `String`
  `replaceAll(String raw, Map<String,String> replacements)`
  `<T> T`
  `replaceAll(T raw, Map<String,String> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)`
  `String`
  `replaceAllWithInterpolation(String raw, Map<String,ValueWithInterpolation> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)`
  `<T> T`
  `replaceAllWithInterpolation(T raw, Map<String,ValueWithInterpolation> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)`
  `scala.collection.immutable.Map<String,String>`
  `resolveInterpolatableVariables(scala.collection.immutable.List<Variable> variables, boolean passwords)`

- ## Method Details

  - ### freezeUnresolvedVariable

    String freezeUnresolvedVariable(String input, String variableName)

  - ### getPasswordVariableValuesAsStrings

    Map<String,String> getPasswordVariableValuesAsStrings(List<Variable> vars)

  - ### getVariableValuesAsStrings

    Map<String,String> getVariableValuesAsStrings(List<Variable> vars)

  - ### getVariableValuesAsStrings

    Map<String,String> getVariableValuesAsStrings(scala.collection.immutable.List<Variable> variables, boolean passwords)

  - ### replaceAll

    String replaceAll(String raw, Map<String,String> replacements)

  - ### replaceAll

    <T> T replaceAll(T raw, Map<String,String> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)

  - ### replaceAllWithInterpolation

    String replaceAllWithInterpolation(String raw, Map<String,ValueWithInterpolation> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)

  - ### replaceAllWithInterpolation

    <T> T replaceAllWithInterpolation(T raw, Map<String,ValueWithInterpolation> replacements, Set<String> unresolvedVariables, boolean freezeEvenIfUnresolved)

  - ### resolveInterpolatableVariables

    scala.collection.immutable.Map<String,String> resolveInterpolatableVariables(scala.collection.immutable.List<Variable> variables, boolean passwords)